import "./index.css"

import { ParentProps } from "solid-js"

/**
 * `<Sheet>` is a component that renders `<div class="solid-sheet">Hello,
 * world!</div>` and logs `Hello, world!` when clicked.
 *
 * `<Sheet>` accepts `children` or renders `'Hello, world!'` as a fallback.
 */
export function Sheet(props: ParentProps) {
	return <>
		<div class="solid-sheet" onClick={e => console.log("Hello, world!")}>
			{props.children ?? "Hello, world!"}
		</div>
	</>
}
